package com.topcoder.message.im.server;

/**
 * <p>MessageServerException is thrown for any reason if MessageServer cannot 
 * instantiate a connection the user requests. It has constructor to encapsulate an 
 * inner exception. Possible causes are configuration exceptions (including missing
 * property).</p>
 */
public class MessageServerException extends com.topcoder.message.im.InstantMessagingException {

/**
 * <p>Create instance with error message.</p>
 * 
 * 
 * 
 * 
 * @param message the error message
 */
    public  MessageServerException(String message) {        
        super(message);
    } 

/**
 * <p>Create instance with error message and inner exception.</p>
 * 
 * 
 * 
 * 
 * @param message the error message
 * @param innerException the inner exception
 */
    public  MessageServerException(String message, Exception innerException) {        
    	super(message, innerException);
    }
 }
