
package com.topcoder.message.im;
import java.util.*;

/**
 * <p>A text message that holds free style text. It extends abstract Message class to add a text field. It can be set on creation time or with setter. It is the only concrete message type with the first release of Instant Messaging.</p>
 * 
 */
public class TextMessage extends com.topcoder.message.im.Message {

/**
 * <p>The content of the text, stored as a free form string, potentially with multiple lines. It is mutable and can be set in either constructor or with the setter.</p>
 * 
 */
    private String text = null;

/**
 * <p>Default constructor. does nothing.</p>
 * 
 * 
 * 
 */
    public  TextMessage() {        
        // your code here
    } 

/**
 * <p>Construct with the text. Set the text to the respective field.</p>
 * 
 * 
 * 
 * 
 * @param text the text of the message
 * @exception NullPointerException if text is null
 */
    public  TextMessage(String text) {        
        // your code here
    } 

/**
 * <p>Construct with text, sender and a single recipient. Sets them separately to respective fields.</p>
 * 
 * 
 * 
 * 
 * @param text the text of the message
 * @param sender the sender of the message
 * @param recipient the recipient of the message
 * @exception NullPointerException if text or sender or recipient is null
 */
    public  TextMessage(String text, Object sender, Object recipient) {        
        // your code here
    } 

/**
 * <p>Construct with text, sender and multiple recipients. Set them to respective fields. Recipients list should not contain a null value.</p>
 * 
 * 
 * 
 * 
 * @param text the text of the message
 * @param sender the sender of the meesage
 * @param recipients the recipients of the message
 * @exception NullPointerException if text or sender or recipients is null
 * @exception IllegalArgumentException if recipients contains null
 */
    public  TextMessage(String text, Object sender, java.util.List recipients) {        
        // your code here
    } 

/**
 * <p>Get the text of the message. Simply returns text.</p>
 * 
 * 
 * 
 * 
 * @return the text of the message
 */
    public String getText() {        
        // your code here
        return null;
    } 

/**
 * <p>Set the text of the message. Sets it to the text field.</p>
 * 
 * 
 * 
 * 
 * @param text the text of the message
 * @exception NullPointerException if text is null
 */
    public void setText(String text) {        
        // your code here
    } 
 }
