
package com.topcoder.message.im.connection;

/**
 * <p>MessageReceiver is a worker thread that reads message from socket and sends them to the processor in MessageListener. This is an inner class of MessageListener in order to conveniently access its message processor and receivers.</p>
 * 
 */
class MessageReceiver extends Thread {

/**
 * <p>The socket to receive messages. It is set in constructor and never changed.</p>
 * 
 */
    private java.net.Socket socket = null;
/**
 * <p></p>
 */
    private com.topcoder.message.im.connection.MessageListener receivers;

/**
 * <p>Create instance with the socket. Sets it to the field and starts itself as a thread.</p>
 * 
 * 
 * 
 * 
 * @param socket the socket to receive message
 * @exception NullPointerException if socket is null
 */
     MessageReceiver(java.net.Socket socket) {        
        // your code here
    } 

/**
 * <p>Thread body. It employs a forever loop to read message from the socket and send them to the processor in MessageListener. If the socket throws IOException it should quit the loop.</p>
 * 
 * 
 * 
 */
    public void run() {        
        // your code here
    } 

/**
 * <p>Close the receiver. It will close the socket (and let the thread body fail by itself) and remove itself from MessageListener's receivers set.</p>
 * 
 * 
 * 
 */
    public void close() {        
        // your code here
    } 
/**
 * <p></p>
 */
    public java.net.Socket socket;
 }
